Logo Color

Fetching list of logo color data.

LIST

Return a collection of logo color.

Filtering

You can filter your results as follows:

List of logo colors for specific id(s)
  • /logo-colors?filter[id]=1
  • /logo-colors?filter[id]=1,2,3
List of logo colors for specific handle(s)
  • /logo-colors?filter[handle]=B
  • /logo-colors?filter[handle]=B,I

See: Pagination, Filtering

Expanding relationships

You can expand some resources to show more details.

See: Expanding Objects

Expand logo-colors

You can show the content of the logo colors instead of the id.

  • /logo-colors?expand=color_type

Available expandable attributes

  • color_type
  • color_details
  • manufacturer

Example of fetching logo color list

Request

GET /logo-colors HTTP/1.1

Response

{
	"data": [
		{
			"id": 52,
			"handle": "DarkSlateBlue",
			"collection_name": "thread",
			"name": {
				"de": "DarkBlue",
				"en": "AntiqueWhite"
			},
			"production_name": null,
			"hex": "FF0000",
			"pantone": null,
			"ral": null,
			"hks": null,
			"hks_percent": null,
			"red": 255,
			"green": 0,
			"blue": 0,
			"cyan": null,
			"magenta": null,
			"yellow": null,
			"black": null,
			"color_type": {
				"id": 1,
				"handle": "thread",
				"collection_name": "embroidery",
				"name": {
					"ar": "الخيط",
					"de": "Garn",
					"en": "Thread",
					"es": "Hilo",
					"fr": "Fil",
					"it": "Filato",
					"ja": "糸",
					"ko": "광택사",
					"nl": "Garen",
					"pl": "Sieć",
					"sv": "Garn",
					"tr": "İplik"
				},
				"created_at": "2023-01-10T10:11:10+00:00",
				"updated_at": "2023-01-10T10:11:10+00:00"
			},
			"color_details": 18,
			"manufacturer": null,
			"created_at": "2023-01-10T10:11:17+00:00",
			"updated_at": "2023-01-10T10:11:17+00:00"
		},
		{
			"id": 51,
			"handle": "Black",
			"collection_name": "print_color",
			"name": {
				"de": "Mandarine"
			},
			"production_name": null,
			"hex": "ce5c19",
			"pantone": "159",
			"ral": "8001",
			"hks": "8",
			"hks_percent": 100,
			"red": 206,
			"green": 92,
			"blue": 25,
			"cyan": 0,
			"magenta": 56,
			"yellow": 88,
			"black": 19,
			"color_type": {
				"id": 2,
				"handle": "print_color",
				"collection_name": "kornit",
				"name": {
					"ar": "طباعة",
					"de": "Druck",
					"en": "Print",
					"es": "Presión",
					"fr": "Imprimer",
					"it": "Stampa",
					"ja": "プリント",
					"ko": "인쇄",
					"nl": "Druk",
					"pl": "Drukuj",
					"sv": "Tryck",
					"tr": "Baskı"
				},
				"created_at": "2023-01-10T10:11:10+00:00",
				"updated_at": "2023-01-10T10:11:10+00:00"
			},
			"color_details": null,
			"manufacturer": null,
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		.......
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": "https://api.smake.io/master-administration/logo-colors?cursor=eyJ0ZW5hbnRfbG9nb19jb2xvcnMuaWQiOjM4LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/logo-colors",
		"per_page": 15,
		"next_cursor": "eyJ0ZW5hbnRfbG9nb19jb2xvcnMuaWQiOjM4LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
		"prev_cursor": null
	}
}

GET

Return a logo color of given id = x.

Expanding relationships

You can expand some resources to show more details.

See: Expanding Objects

Expand logo-colors

You can show the content of the logo colors instead of the id.

  • /logo-colors?expand=color_type

Available expandable attributes

  • color_type
  • color_details
  • manufacturer

Example of fetching specified logo color information

Request

GET /logo-colors/52 HTTP/1.1

Response

{
	"id": 52,
	"handle": "DarkSlateBlue",
	"collection_name": "thread",
	"name": {
		"de": "DarkBlue",
		"en": "AntiqueWhite"
	},
	"production_name": null,
	"hex": "FF0000",
	"pantone": null,
	"ral": null,
	"hks": null,
	"hks_percent": null,
	"red": 255,
	"green": 0,
	"blue": 0,
	"cyan": null,
	"magenta": null,
	"yellow": null,
	"black": null,
	"color_type": {
		"id": 1,
		"handle": "thread",
		"collection_name": "embroidery",
		"name": {
			"ar": "الخيط",
			"de": "Garn",
			"en": "Thread",
			"es": "Hilo",
			"fr": "Fil",
			"it": "Filato",
			"ja": "糸",
			"ko": "광택사",
			"nl": "Garen",
			"pl": "Sieć",
			"sv": "Garn",
			"tr": "İplik"
		},
		"created_at": "2023-01-10T10:11:10+00:00",
		"updated_at": "2023-01-10T10:11:10+00:00"
	},
	"color_details": 18,
	"manufacturer": null,
	"created_at": "2023-01-10T10:11:17+00:00",
	"updated_at": "2023-01-10T10:11:17+00:00"
}